<?xml version="1.0"?>
<ruleset name="Blends PHPMD RuleSet"
         xmlns="http://pmd.sf.net/ruleset/1.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://pmd.sf.net/ruleset/1.0.0 http://pmd.sf.net/ruleset_xml_schema.xsd"
         xsi:noNamespaceSchemaLocation="http://pmd.sf.net/ruleset_xml_schema.xsd">
    <description>PHPMD rule set</description>

    <rule ref="rulesets/cleancode.xml">
        <exclude name="StaticAccess" />
        <exclude name="IfStatementAssignment" />
    </rule>
    <rule ref="rulesets/codesize.xml" />
    <rule ref="rulesets/controversial.xml" />
    <rule ref="rulesets/design.xml">
        <exclude name="CouplingBetweenObjects" />
    </rule>
    <rule ref="rulesets/naming.xml">
        <exclude name="ShortMethodName" />
        <exclude name="LongVariable" />
        <exclude name="BooleanGetMethodName" />
    </rule>
    <rule ref="rulesets/unusedcode.xml">
        <exclude name="UnusedFormalParameter" />
    </rule>
    <rule ref="rulesets/naming.xml/ShortMethodName">
        <priority>1</priority>
        <properties>
            <property name="exceptions" value="up" />
        </properties>
    </rule>
    <rule ref="rulesets/naming.xml/LongVariable">
        <priority>1</priority>
        <properties>
            <property name="maximum" value="48" />
        </properties>
    </rule>
</ruleset>
